<section id="traveller">
  <div class="container-fluid bgclr">
    <ul class="breadcrumb reset">
      <li>
        <a>Home ></a>
      </li>
      <li class="">
        Region
      </li>
    </ul>

    <div class="card">
      <div class="card-body">
        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item" role="presentation">
            <a class="nav-link active" id="country-tab" data-toggle="tab" href="#country" role="tab" aria-controls="country" aria-selected="true">Country</a>
          </li>
          <li class="nav-item" role="presentation">
            <a class="nav-link" id="state-tab" data-toggle="tab" href="#state" role="tab" aria-controls="state" aria-selected="false">State</a>
          </li>
          <li class="nav-item" role="presentation">
            <a class="nav-link" id="city-tab" data-toggle="tab" href="#city" role="tab" aria-controls="city" aria-selected="false">City</a>
          </li>
        </ul>
        <div class="tab-content" id="myTabContent">
          <div class="tab-pane fade show active" id="country" role="tabpanel" aria-labelledby="country-tab">
            <div class="row mt-4">
              <div class="col-6">
                  <a>
                      <h5>Country</h5>
                  </a>

              </div>
              <div class="col-6 txtright">
                  
                  <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportAsXLSX()">
                      <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                  </button>
              </div>
          </div>
         
          <hr>
          <div class="row py-2">
            <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                <div class="d-flex flex-row bd-highlight mb-3">
                    <div class="p-2 bd-highlight">
                        <button routerLink="add_country" class="btn btnclrs adduser" tabindex="0">
                            <i class="fa fa-plus-circle pr-1"></i>
                            Add Country
                        </button>
                      </div>
                  </div>
            </div>
            <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                <div class="form-group">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search Country" [(ngModel)]="searchText">
                        <div class="input-group-append">
                            <span class="input-group-text btnclrs">
                                <i class="fa fa-search"></i>
                            </span>

                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="table-responsive">
          <table class="table table-striped table-bordered">
            <thead>
              <tr>
                <th scope="col">Sl.no</th>
                <th scope="col">Country</th>
                <th scope="col">Status</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor = "let country of countries| filter:searchText| paginate: { id: 'pagination1',itemsPerPage: 5, currentPage: p }; index as i">
                <td *ngIf="p>1">{{((p-1)*5)+(i+1)}}</td>
                <th *ngIf="p===1">{{i+1}}</th>
                <td>{{country.name}}</td>
                <!-- <td>{{country.status}}</td> -->
               <td ><ui-switch [(ngModel)]="country.status"></ui-switch></td> 
                <td>
                <a class="btn edit" (click)="updateModal(country)">
                    <i class="fa fa-pencil" aria-hidden="true" ></i>
                </a>
                <a class="btn delete" (click)="deleteCountry(country._id)">
                    <i class="fa fa-trash" aria-hidden="true"></i>
                </a>
                </td>
              </tr>
             
            </tbody>
          </table>
          <div class="text-center" >
            <pagination-controls id="pagination1" (pageChange)="p = $event"></pagination-controls>
        </div>
        </div>
          </div>
          <div class="tab-pane fade" id="state" role="tabpanel" aria-labelledby="state-tab">
            <div class="row mt-4">
              <div class="col-6">
                  <a>
                      <h5>State</h5>
                  </a>

              </div>
              <div class="col-6 txtright">
                  
                  <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportStateAsXLSX()">
                      <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                  </button>
              </div>
          </div>
         
          <hr>
          <div class="row py-2">
            <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                <div class="d-flex flex-row bd-highlight mb-3">
                    <div class="p-2 bd-highlight">
                        <button routerLink="add_state" class="btn btnclrs adduser" tabindex="0">
                            <i class="fa fa-plus-circle pr-1"></i>
                            Add State
                        </button>
                      
                      </div>
                      <div class="p-2 bd-highlight">
                        <div class="form-group">
                          
                          <select  class="form-control" [(ngModel)]="selectedLevel" (change)="selected()">
                              <option value="{{country._id}}" *ngFor="let country of countries">{{country.name}}</option>
                              
                           </select>   
                      </div>
                      
                      </div>
                  </div>
            </div>
            <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                <div class="form-group">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search State" type="text" [(ngModel)]="searchText">
                        <div class="input-group-append">
                            <span class="input-group-text btnclrs">
                                <i class="fa fa-search"></i>
                            </span>

                        </div>
                    </div>

                </div>
            </div>
          
        </div>
        <div class="table-responsive">
          <table class="table table-striped table-bordered">
            <thead>
              <tr>
                <th scope="col">Sl.no</th>
                <th scope="col">State</th>
                <th scope="col">Status</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor = "let state of statesById| filter:searchText| paginate: { id: 'pagination2', itemsPerPage: 5, currentPage: p }; index as i">
                <td *ngIf="p>1">{{((p-1)*5)+(i+1)}}</td>
                <th *ngIf="p===1">{{i+1}}</th>
                <td>{{state.name}}</td>
                <!-- <td>{{state.status}}</td> -->
                <td ><ui-switch [(ngModel)]="state.status"></ui-switch></td> 
                <td>
                  <a class="btn edit" (click)="stateModal(state)">
                      <i class="fa fa-pencil" aria-hidden="true" ></i>
                  </a>
                  <a class="btn delete" (click)=" deleteState(state._id)">
                      <i class="fa fa-trash" aria-hidden="true"></i>
                  </a>
                  </td>
              </tr>
             
            </tbody>
          </table>
          <div class="text-center">
            <pagination-controls id="pagination2" (pageChange)="p = $event"></pagination-controls>
        </div>
        </div>
          </div>
          <div class="tab-pane fade" id="city" role="tabpanel" aria-labelledby="city-tab">
            <div class="row mt-4">
              <div class="col-6">
                  <a>
                      <h5>City</h5>
                  </a>

              </div>
              <div class="col-6 txtright">
                  
                  <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportCityAsXLSX()">
                      <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                  </button>
              </div>
          </div>
         
          <hr>
          <div class="row py-2">
            <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                <div class="d-flex flex-row bd-highlight mb-3">
                    <div class="p-2 bd-highlight">
                        <button routerLink="add_city" class="btn btnclrs adduser" tabindex="0">
                            <i class="fa fa-plus-circle pr-1"></i>
                            Add City
                        </button>
                      </div>
                      <div class="p-2 bd-highlight">
                        <div class="form-group">
                          
                          <select  class="form-control" [(ngModel)]="selectedData" (change)="selectedState()">
                              <option value="{{stateData._id}}" *ngFor = "let stateData of states">{{stateData.name}}</option>
                          </select>   
                      </div>
                      
                      </div>
                  </div>
            </div>
            <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                <div class="form-group">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search city" type="text" [(ngModel)]="searchText">
                        <div class="input-group-append">
                            <span class="input-group-text btnclrs">
                                <i class="fa fa-search"></i>
                            </span>

                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="table-responsive">
          <table class="table table-striped table-bordered">
            <thead>
              <tr>
                <th scope="col">Sl.No</th>
                <th scope="col">City</th>
                <th scope="col">Status</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor = "let city of stateCity| filter:searchText| paginate: { id: 'pagination3', itemsPerPage: 5, currentPage: p };index as i">
                <td *ngIf="p>1">{{((p-1)*5)+(i+1)}}</td>
                <th *ngIf="p===1">{{i+1}}</th>
                <td>{{city.name}}</td>
                <!-- <td>{{city.status}}</td> -->
                <td ><ui-switch [(ngModel)]="city.status"></ui-switch></td>
                <td>
                  <a class="btn edit" (click)="updateCityModal(city)">
                      <i class="fa fa-pencil" aria-hidden="true" ></i>
                  </a>
                  <a class="btn delete" (click)="deleteCity(city._id)">
                      <i class="fa fa-trash" aria-hidden="true"></i>
                  </a>
                  </td>
              </tr>
             
            </tbody>
          </table>
          <div class="text-center">
            <pagination-controls id="pagination3" (pageChange)="p = $event"></pagination-controls>
        </div>
        </div>
          </div>
        </div>

      </div>
    </div>

  </div>
</section>


<!-- Modal -->
<div class="modal fade" id="countryModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Country</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="countryUpdateForm" (ngSubmit)="onSubmit()">
          <input type="hidden" formControlName="id">
          <div class="form-group">
              <label for="">Country Name</label>
              <input type="text" class="form-control" id="exampleInputEmail1"
                  aria-describedby="emailHelp" formControlName="name" autocomplete="off" [ngClass]="{ 'is-invalid': submitted && fval.name.errors }">
                  <div *ngIf="submitted && fval.name.errors" class="invalid-feedback">
                    <div *ngIf="fval.name.errors.required">
                   Country name is required
                    </div>
                     
                    </div>
            
          </div>
          <div class="form-group">
              <label for="">Status:</label>
              <select  class="form-control" formControlName="status">
                  <option value="1">Active</option>
                  <option value="0">Inactive</option>
                 
              </select>
              
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-success" id="updateCountry">Update</button>
          </div>
      </form>
      </div>
     
    </div>
  </div>
</div>



<!--State Modal -->
<div class="modal fade" id="stateModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Update State</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="StateUpdateForm" (ngSubmit)="onSubmitupdate()">
          <input type="hidden" formControlName="id">
         
          <div class="form-group">
              <label for="">State:</label>
              <input  class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': stateUpdateSubmit && fval.name.errors }"> 
              <div *ngIf="stateUpdateSubmit && f.name.errors" class="invalid-feedback">
                <div *ngIf="f.name.errors.required">
               State name is required
                </div>
                 
                </div>
          </div>
          <div class="form-group">
              <label for="">Status:</label>
              <select  class="form-control" formControlName="status">
                  <option value="1">Active</option>
                  <option value="0">Inactive</option>
                 
              </select>
              
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="Submit" class="btn btn-success" id="stateSubmit">Update</button>
          </div>
      </form>
      </div>
      
    </div>
  </div>
</div>



<!--City Modal -->
<div class="modal fade" id="cityModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Update City</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="updateCityForm" (ngSubmit)="updateSubmitCity()">   
          <input type="hidden" formControlName="id">  
          <div class="form-group">
              <label for="">City:</label>
              <input class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': citySubmitted && d.name.errors }">
              <div *ngIf="citySubmitted && d.name.errors" class="invalid-feedback">
                <div *ngIf="d.name.errors.required">
               City name is required
                </div>
                 
                </div>

          </div>
          <div class="form-group">
              <label for="">Status:</label>
              <select class="form-control" formControlName="status">
                  <option value="1">Active</option>
                  <option value="0">Inactive</option>

              </select>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="Submit" class="btn btn-success" id="submitcity">Update</button>
          </div>
      </form>
          
      
      </div>
      
    </div>
  </div>
</div>